import Manifest from '../src/Manifest.js';
import express from 'express';
import * as dotenv from 'dotenv';

let router = express.Router();

dotenv.config();

/* GET manifest JSON resource. */
router.get('/iiif/:manifestid/manifest', function(req, res, next) {
	const manifest = new Manifest(process.env.IIIF_API_VERSION, process.env.BASE_URL);
	manifest.generateID(req.params.manifestid);
	res.json(manifest.toObject());
});

export default router;
